/*
Copyright 2008 WebAtlas
Authors : Mathieu Bastian, Mathieu Jacomy, Julian Bilcke
Website : http://www.gephi.org

This file is part of Gephi.

Gephi is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Gephi is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gephi.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.gephi.graph.api;

import java.util.Map;

/**
 *
 * @author Mathieu Bastian
 */
public interface GraphSettings {

     public static final String ALLOW_MULTILEVEL = "allowMultilevel";
     public static final String AUTO_META_EDGES = "autoMetaEdgeCreation";
     public static final String METAEDGE_BUILDER = "metaEdgeBuilder";
     public static final String METAEDGE_BUILDER_MIN = "metaEdgeBuilderMinimum";
     public static final String METAEDGE_BUILDER_MAX = "metaEdgeBuilderLimit";
     public static final String METAEDGE_BUILDER_NONDEEP_DIVISOR = "metaEdgeBuilderNonDeepDivisor";

     public void putClientProperty(String key, Object value);

     public Object getClientProperty(String key);

     public Map<String, Object> getClientProperties();
}
